// This may look like C code, but it is really -*- C++ -*-

//   Module      : DrawModeItem.h   Version 1.1
//   LastSCCS    : 2/18/92  15:11:36
//   LastEdit    : "Tue Feb 18 14:56:12 1992"
//   Description : 
//   Author      : 
//   Copyright   : GMD Schloss Birlinghoven

#ifndef Drawmodeitem_h
#define Drawmodeitem_h

typedef enum DrawMode { eSelect, eRectangle, eSquare, eEllipse, eCircle,
			eTriangle, eText };

class DrawModeItem : public GnBitmapBitsPresentable {
    META_DEF_1(DrawModeItem,GnBitmapBitsPresentable);
  public:
    DrawModeItem(char *p_bitmap_bits,
		 unsigned int p_width, unsigned int p_height,
		 DrawMode p_draw_mode);
    DrawMode GetDrawMode()
	{ return draw_mode; }
  private:
    DrawMode draw_mode;
};

#endif
